Modo

com.uva.rafael.tfg_goniometer.data.enums

## Enum Modo

- java.lang.Object
- - java.lang.Enum<Modo>
  - - com.uva.rafael.tfg_goniometer.data.enums.Modo

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Modo>

      public enum Modo
      extends java.lang.Enum<Modo>

  Esta clase es una clase de tipo `Enum` que modela los modos de movimiento de una articulacion.

  Se encarga de proveer un metodo para insertar un "Modo de movimiento" en la Base de Datos, pasando cada uno de los atributos que componen esta clase a un formato adecuado, por medio de un objeto de tipo `ContentValues`.

  Como dato a señalar, si se ha seleccionado el valor OTRO, lo que se introduzca en el `EditText` se almacenara en `otroModo`.

  Por ultimo, destacar que esta clase se encarga de proveer estos valores tanto en español como en ingles.

  Esta clase forma parte de la aplicacion TFG-Goniometer, desarrollada para el Trabajo de Fin de Grado - Grado en Ingenieria Informatica (Universidad de Valladolid)

  Version:
    1.0
  Author:
    Rafael Matamoros Luque
  See Also:
    `Contract.MeasurementEntry`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVO`
    `ACTIVO_ASISTIDO`
    `OTRO`
    `PASIVO`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Modo` | `findByValue(java.lang.String value)` Metodo que se encarga de devolver el `Enum` asociado con el valor de tipo `String` recibido como parametro.
    `Modo` | `getOtroModo(java.lang.String otroModo)` "Constructor" de la clase, que se emplea cuando el usuario ha seleccionado el valor "OTRO" en el Modo de Movimiento.
    `void` | `toContentValues(android.content.ContentValues values)` Metodo que se encarga de dar un formato adecuado a cada uno de los atributos de la clase, para, posteriormente, ser insertados en la Base de Datos.
    `java.lang.String` | `toString()` Metodo `toString()` que se encarga de devolver el String con el valor seleccionado por el usuario, al introducir una nueva medicion.
    `static Modo` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Modo[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVO

          public static final Modo ACTIVO

    - #### ACTIVO_ASISTIDO

          public static final Modo ACTIVO_ASISTIDO

    - #### PASIVO

          public static final Modo PASIVO

    - #### OTRO

          public static final Modo OTRO

  - ### Method Detail

    - #### values

          public static Modo[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Modo c : Modo.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Modo valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### findByValue

          public static Modo findByValue(java.lang.String value)

      Metodo que se encarga de devolver el `Enum` asociado con el valor de tipo `String` recibido como parametro. En caso de que no encuentre ningun `Enum` que se corresponda con este valor, lanza una excepcion de tipo `IllegalArgumentException`, emulando el comportamiento del metodo `valueOf`.
      Parameters:
        `value` - Valor a comparar con los valores de los distintos `Enum` de la clase
      Returns:
        `Enum` asociado a ese valor

    - #### getOtroModo

          public Modo getOtroModo(java.lang.String otroModo)

      "Constructor" de la clase, que se emplea cuando el usuario ha seleccionado el valor "OTRO" en el Modo de Movimiento.
      Parameters:
        `otroModo` - Nombre del modo de movimiento introducido por el usuario en el `EditText`
      Returns:
        Instancia de `Modo` con el valor "OTRO" en `modo` y el valor recibido como parametro en `otroModo`.

    - #### toContentValues

          public void toContentValues(android.content.ContentValues values)

      Metodo que se encarga de dar un formato adecuado a cada uno de los atributos de la clase, para, posteriormente, ser insertados en la Base de Datos.
      Parameters:
        `values` - `ContentValues`, recibido desde `Medicion`, al que añadir la informacion del `Modo` de movimiento

    - #### toString

          public java.lang.String toString()

      Metodo `toString()` que se encarga de devolver el String con el valor seleccionado por el usuario, al introducir una nueva medicion.
      Overrides:
        `toString` in class `java.lang.Enum<Modo>`